Skip to main content
POST
/
batch
/
videos
Get batch videos
curl --request POST \
  --url https://api.poix.io/batch/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "dQw4w9WgXcQ",
    "yPYZpwSpKmA",
    "eYuUAGXN0KM",
    "C2xel6q0yao",
    "yBwD4iYcWC4"
  ],
  "includeLocalizations": true
}
'
{
  "totalResults": 123,
  "data": [
    {
      "id": "<string>",
      "publishedAt": "<string>",
      "channelId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "thumbnails": {
        "default": {
          "url": "<string>",
          "width": 123,
          "height": 123
        },
        "medium": {
          "url": "<string>",
          "width": 123,
          "height": 123
        },
        "high": {
          "url": "<string>",
          "width": 123,
          "height": 123
        }
      },
      "channelTitle": "<string>",
      "tags": [
        "<string>"
      ],
      "categoryId": "<string>",
      "defaultLanguage": "<string>",
      "defaultAudioLanguage": "<string>",
      "viewCount": "<string>",
      "likeCount": "<string>",
      "commentCount": "<string>",
      "topicCategories": [
        "<string>"
      ],
      "uploadStatus": "<string>",
      "privacyStatus": "<string>",
      "license": "<string>",
      "embeddable": true,
      "publicStatsViewable": true,
      "madeForKids": true,
      "hasPaidProductPlacement": true,
      "localizations": {},
      "categoryTitle": "<string>",
      "duration": "<string>",
      "parsedDuration": 123,
      "captionsUrl": "<string>",
      "videoFileUrl": "<string>",
      "audioFileUrl": "<string>"
    }
  ]
}
This endpoint allows you to retrieve multiple videos in a single request. Simply specify a list of video IDs, and the API will return the details of each video.
This request supports batch processing, allowing you to retrieve up to 1,000 videos in a single request.

Price

The cost of this request is based on the number of video chunks (by 50 videos) in the request. For example:
  • 1 video means 1 chunk
  • 50 videos means 1 chunk
  • 75 videos means 2 chunks
  • 100 videos means 2 chunks
  • 101 videos means 3 chunks
  • 1000 videos means 20 chunks.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

hl
enum<string>

The language to retrieve localized data in.

Available options:
af,
am,
ar,
as,
az,
be,
bg,
bn,
bs,
ca,
cs,
da,
de,
el,
en-GB,
en-IN,
en,
es,
es-419,
es-US,
et,
eu,
fa,
fi,
fil,
fr-CA,
fr,
gl,
gu,
hi,
hr,
hu,
hy,
id,
is,
it,
iw,
ja,
ka,
kk,
km,
kn,
ko,
ky,
lo,
lt,
lv,
mk,
ml,
mn,
mr,
ms,
my,
no,
ne,
nl,
or,
pa,
pl,
pt,
pt-PT,
ro,
ru,
si,
sk,
sl,
sq,
sr-Latn,
sr,
sv,
sw,
ta,
te,
th,
tr,
uk,
ur,
uz,
vi,
zh-CN,
zh-HK,
zh-TW,
zu
fields
string

An array of fields to include in the response. If not provided, all fields will be returned.

Body

application/json
ids
string[]
required

An array of video IDs to retrieve data for.

Required array length: 1 - 1000 elements
Required string length: 11
Example:
[
"dQw4w9WgXcQ",
"yPYZpwSpKmA",
"eYuUAGXN0KM",
"C2xel6q0yao",
"yBwD4iYcWC4"
]
includeLocalizations
boolean

Whether to include localized data.

Response

Successful response

totalResults
number
required
data
object[]
required